<template>
  <section class="card summary-card border-0 shadow-card">
      <div class="card-body">
          <h3 class="title">Resumen de compra</h3>

          <div class="d-flex justify-content-between align-items-center mt-3">
            <h4 class="subtitle">Subtotal</h4>
            <span>S/ 1189.00</span>
          </div>

          <div class="d-flex justify-content-between align-items-center mt-3">
            <h4 class="subtitle">Total</h4>
            <span>S/ 1189.00</span>
          </div>

          <div class="d-flex justify-content-between align-items-center mt-3">
            <nuxt-link to="/carrito" class="btn btn-outline-danger py-1">
              <i class="fas fa-chevron-left" aria-hidden="true"></i>
              Regresar
            </nuxt-link>
            
            <button type="button" class="btn btn-success py-1">{{ buttonText }}</button>
          </div>
      </div>
  </section>
</template>

<script>
export default {
  name: 'SummaryCard',
  props: {
    currentSection: String
  },
  computed: {
    buttonText() {
      let text = 'Continuar'

      // if(this.currentSection === 'shipping_method') {
      //   text = 'Seleccione método de envío'
      // }

      return text
    }
  }
}
</script>

<style lang="scss" scoped>
.summary-card {
  .title {
    font-size: 16px;
  }

  .subtitle {
    font-size: 15px;
    font-weight: 300;
  }

  .btn {
    font-size: 14px;
  }
}
</style>